Priority: High
Affected QGIS version:master Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution: fixed/implemented

Crashes QGIS or corrupts data:No Copied to github as #: 16893

Description

The min/max scales are set but disabled because the checkbox is turned off.

It is a migration issue of old projects. Even 1.9 projects from before the vector-branch merge are affected.

History

#1 - 2013-06-13 10:37 AM - Larry Shaffer

- Priority changed from Normal to High

- Subject changed from qgis 2.0 does not respect labels' scale-based visibility option when opening existing 1.9 projects to QGIS 2.0 does not respect 

labels' scale-based visibility option when opening projects from previous version

- Assignee set to Larry Shaffer

Hi Duarte,

This is a known effect after recent changes to new labeling to support expressions (mailing list posts).

It should function correctly when opening a valid QGIS 1.8 project, i.e. the Scale visibility checkbox should be checked and data defined values should

work if either are set as before. However, I noticed that I missed adding that support and will do so shortly.

The support for migrating existing 1.9 projects to 2.0 will probably not be added (see Tim's comment in noted mailing list thread). This is also because it

requires extraneous code to support the 1.9->2.0 update than just the 1.8->2.0 update. This was the case when updating the Buffer settings, but with Scale

visibility I may be able to support 1.9->2.0 updating if it is simple and non-extraneous to do so.

#2 - 2013-06-13 11:19 AM - Duarte Carreira

Hi Larry.

I wasn't aware of issues going from 1.9 to 2.0. I assumed that they were the same version and 2.0 was a completed 1.9...

I'll wait for 2.0 and evaluate the needed effort... and cross my fingers only small adjustments are needed.

Thanks for your work on this!

#3 - 2013-06-13 01:18 PM - Larry Shaffer
http://osgeo-org.1560.x6.nabble.com/Labeling-gui-redesign-branch-ready-td5054196.html


Should be fixed with commit commit:d547b25

Please test. That commit also fixes another unreported bug where scales closer than 1:1, e.g. 5:1, could not be set.

New usage info from tool tip:

Value < 0 represents a scale closer than 1:1, e.g. -10 = 10:1.

Value of 0 toggles off specific limit.

#4 - 2014-01-30 11:41 PM - Paolo Cavallini

- Target version changed from Version 2.0.0 to Future Release - High Priority

#5 - 2014-02-07 05:22 AM - Giovanni Manghi

- Resolution set to fixed/implemented

- Status changed from Open to Closed

closing for lack of feedback, should be fixed.
